Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network226.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
226.167.0.0
Broadcast address
226.167.255.255
First usable
226.167.0.1
Last usable
226.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E2A70000 · Integer 3802595328 to 3802660863
Reverse DNS zone
167.226.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100010.10100111..00000000.00000000226.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11100010.10100111..00000000.00000000226.167.0.0
Broadcast11100010.10100111..11111111.11111111226.167.255.255
Split into smaller subnets/28

226.167.0.0/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1226.167.0.0/28226.167.0.1 to 226.167.0.14226.167.0.1514
2226.167.0.16/28226.167.0.17 to 226.167.0.30226.167.0.3114
3226.167.0.32/28226.167.0.33 to 226.167.0.46226.167.0.4714
4226.167.0.48/28226.167.0.49 to 226.167.0.62226.167.0.6314
5226.167.0.64/28226.167.0.65 to 226.167.0.78226.167.0.7914
6226.167.0.80/28226.167.0.81 to 226.167.0.94226.167.0.9514
7226.167.0.96/28226.167.0.97 to 226.167.0.110226.167.0.11114
8226.167.0.112/28226.167.0.113 to 226.167.0.126226.167.0.12714
9226.167.0.128/28226.167.0.129 to 226.167.0.142226.167.0.14314
10226.167.0.144/28226.167.0.145 to 226.167.0.158226.167.0.15914
11226.167.0.160/28226.167.0.161 to 226.167.0.174226.167.0.17514
12226.167.0.176/28226.167.0.177 to 226.167.0.190226.167.0.19114
13226.167.0.192/28226.167.0.193 to 226.167.0.206226.167.0.20714
14226.167.0.208/28226.167.0.209 to 226.167.0.222226.167.0.22314
15226.167.0.224/28226.167.0.225 to 226.167.0.238226.167.0.23914
16226.167.0.240/28226.167.0.241 to 226.167.0.254226.167.0.25514
17226.167.1.0/28226.167.1.1 to 226.167.1.14226.167.1.1514
18226.167.1.16/28226.167.1.17 to 226.167.1.30226.167.1.3114
19226.167.1.32/28226.167.1.33 to 226.167.1.46226.167.1.4714
20226.167.1.48/28226.167.1.49 to 226.167.1.62226.167.1.6314
21226.167.1.64/28226.167.1.65 to 226.167.1.78226.167.1.7914
22226.167.1.80/28226.167.1.81 to 226.167.1.94226.167.1.9514
23226.167.1.96/28226.167.1.97 to 226.167.1.110226.167.1.11114
24226.167.1.112/28226.167.1.113 to 226.167.1.126226.167.1.12714
25226.167.1.128/28226.167.1.129 to 226.167.1.142226.167.1.14314
26226.167.1.144/28226.167.1.145 to 226.167.1.158226.167.1.15914
27226.167.1.160/28226.167.1.161 to 226.167.1.174226.167.1.17514
28226.167.1.176/28226.167.1.177 to 226.167.1.190226.167.1.19114
29226.167.1.192/28226.167.1.193 to 226.167.1.206226.167.1.20714
30226.167.1.208/28226.167.1.209 to 226.167.1.222226.167.1.22314
31226.167.1.224/28226.167.1.225 to 226.167.1.238226.167.1.23914
32226.167.1.240/28226.167.1.241 to 226.167.1.254226.167.1.25514
33226.167.2.0/28226.167.2.1 to 226.167.2.14226.167.2.1514
34226.167.2.16/28226.167.2.17 to 226.167.2.30226.167.2.3114
35226.167.2.32/28226.167.2.33 to 226.167.2.46226.167.2.4714
36226.167.2.48/28226.167.2.49 to 226.167.2.62226.167.2.6314
37226.167.2.64/28226.167.2.65 to 226.167.2.78226.167.2.7914
38226.167.2.80/28226.167.2.81 to 226.167.2.94226.167.2.9514
39226.167.2.96/28226.167.2.97 to 226.167.2.110226.167.2.11114
40226.167.2.112/28226.167.2.113 to 226.167.2.126226.167.2.12714
41226.167.2.128/28226.167.2.129 to 226.167.2.142226.167.2.14314
42226.167.2.144/28226.167.2.145 to 226.167.2.158226.167.2.15914
43226.167.2.160/28226.167.2.161 to 226.167.2.174226.167.2.17514
44226.167.2.176/28226.167.2.177 to 226.167.2.190226.167.2.19114
45226.167.2.192/28226.167.2.193 to 226.167.2.206226.167.2.20714
46226.167.2.208/28226.167.2.209 to 226.167.2.222226.167.2.22314
47226.167.2.224/28226.167.2.225 to 226.167.2.238226.167.2.23914
48226.167.2.240/28226.167.2.241 to 226.167.2.254226.167.2.25514
49226.167.3.0/28226.167.3.1 to 226.167.3.14226.167.3.1514
50226.167.3.16/28226.167.3.17 to 226.167.3.30226.167.3.3114
51226.167.3.32/28226.167.3.33 to 226.167.3.46226.167.3.4714
52226.167.3.48/28226.167.3.49 to 226.167.3.62226.167.3.6314
53226.167.3.64/28226.167.3.65 to 226.167.3.78226.167.3.7914
54226.167.3.80/28226.167.3.81 to 226.167.3.94226.167.3.9514
55226.167.3.96/28226.167.3.97 to 226.167.3.110226.167.3.11114
56226.167.3.112/28226.167.3.113 to 226.167.3.126226.167.3.12714
57226.167.3.128/28226.167.3.129 to 226.167.3.142226.167.3.14314
58226.167.3.144/28226.167.3.145 to 226.167.3.158226.167.3.15914
59226.167.3.160/28226.167.3.161 to 226.167.3.174226.167.3.17514
60226.167.3.176/28226.167.3.177 to 226.167.3.190226.167.3.19114
61226.167.3.192/28226.167.3.193 to 226.167.3.206226.167.3.20714
62226.167.3.208/28226.167.3.209 to 226.167.3.222226.167.3.22314
63226.167.3.224/28226.167.3.225 to 226.167.3.238226.167.3.23914
64226.167.3.240/28226.167.3.241 to 226.167.3.254226.167.3.25514
65226.167.4.0/28226.167.4.1 to 226.167.4.14226.167.4.1514
66226.167.4.16/28226.167.4.17 to 226.167.4.30226.167.4.3114
67226.167.4.32/28226.167.4.33 to 226.167.4.46226.167.4.4714
68226.167.4.48/28226.167.4.49 to 226.167.4.62226.167.4.6314
69226.167.4.64/28226.167.4.65 to 226.167.4.78226.167.4.7914
70226.167.4.80/28226.167.4.81 to 226.167.4.94226.167.4.9514
71226.167.4.96/28226.167.4.97 to 226.167.4.110226.167.4.11114
72226.167.4.112/28226.167.4.113 to 226.167.4.126226.167.4.12714
73226.167.4.128/28226.167.4.129 to 226.167.4.142226.167.4.14314
74226.167.4.144/28226.167.4.145 to 226.167.4.158226.167.4.15914
75226.167.4.160/28226.167.4.161 to 226.167.4.174226.167.4.17514
76226.167.4.176/28226.167.4.177 to 226.167.4.190226.167.4.19114
77226.167.4.192/28226.167.4.193 to 226.167.4.206226.167.4.20714
78226.167.4.208/28226.167.4.209 to 226.167.4.222226.167.4.22314
79226.167.4.224/28226.167.4.225 to 226.167.4.238226.167.4.23914
80226.167.4.240/28226.167.4.241 to 226.167.4.254226.167.4.25514
81226.167.5.0/28226.167.5.1 to 226.167.5.14226.167.5.1514
82226.167.5.16/28226.167.5.17 to 226.167.5.30226.167.5.3114
83226.167.5.32/28226.167.5.33 to 226.167.5.46226.167.5.4714
84226.167.5.48/28226.167.5.49 to 226.167.5.62226.167.5.6314
85226.167.5.64/28226.167.5.65 to 226.167.5.78226.167.5.7914
86226.167.5.80/28226.167.5.81 to 226.167.5.94226.167.5.9514
87226.167.5.96/28226.167.5.97 to 226.167.5.110226.167.5.11114
88226.167.5.112/28226.167.5.113 to 226.167.5.126226.167.5.12714
89226.167.5.128/28226.167.5.129 to 226.167.5.142226.167.5.14314
90226.167.5.144/28226.167.5.145 to 226.167.5.158226.167.5.15914
91226.167.5.160/28226.167.5.161 to 226.167.5.174226.167.5.17514
92226.167.5.176/28226.167.5.177 to 226.167.5.190226.167.5.19114
93226.167.5.192/28226.167.5.193 to 226.167.5.206226.167.5.20714
94226.167.5.208/28226.167.5.209 to 226.167.5.222226.167.5.22314
95226.167.5.224/28226.167.5.225 to 226.167.5.238226.167.5.23914
96226.167.5.240/28226.167.5.241 to 226.167.5.254226.167.5.25514
97226.167.6.0/28226.167.6.1 to 226.167.6.14226.167.6.1514
98226.167.6.16/28226.167.6.17 to 226.167.6.30226.167.6.3114
99226.167.6.32/28226.167.6.33 to 226.167.6.46226.167.6.4714
100226.167.6.48/28226.167.6.49 to 226.167.6.62226.167.6.6314
101226.167.6.64/28226.167.6.65 to 226.167.6.78226.167.6.7914
102226.167.6.80/28226.167.6.81 to 226.167.6.94226.167.6.9514
103226.167.6.96/28226.167.6.97 to 226.167.6.110226.167.6.11114
104226.167.6.112/28226.167.6.113 to 226.167.6.126226.167.6.12714
105226.167.6.128/28226.167.6.129 to 226.167.6.142226.167.6.14314
106226.167.6.144/28226.167.6.145 to 226.167.6.158226.167.6.15914
107226.167.6.160/28226.167.6.161 to 226.167.6.174226.167.6.17514
108226.167.6.176/28226.167.6.177 to 226.167.6.190226.167.6.19114
109226.167.6.192/28226.167.6.193 to 226.167.6.206226.167.6.20714
110226.167.6.208/28226.167.6.209 to 226.167.6.222226.167.6.22314
111226.167.6.224/28226.167.6.225 to 226.167.6.238226.167.6.23914
112226.167.6.240/28226.167.6.241 to 226.167.6.254226.167.6.25514
113226.167.7.0/28226.167.7.1 to 226.167.7.14226.167.7.1514
114226.167.7.16/28226.167.7.17 to 226.167.7.30226.167.7.3114
115226.167.7.32/28226.167.7.33 to 226.167.7.46226.167.7.4714
116226.167.7.48/28226.167.7.49 to 226.167.7.62226.167.7.6314
117226.167.7.64/28226.167.7.65 to 226.167.7.78226.167.7.7914
118226.167.7.80/28226.167.7.81 to 226.167.7.94226.167.7.9514
119226.167.7.96/28226.167.7.97 to 226.167.7.110226.167.7.11114
120226.167.7.112/28226.167.7.113 to 226.167.7.126226.167.7.12714
121226.167.7.128/28226.167.7.129 to 226.167.7.142226.167.7.14314
122226.167.7.144/28226.167.7.145 to 226.167.7.158226.167.7.15914
123226.167.7.160/28226.167.7.161 to 226.167.7.174226.167.7.17514
124226.167.7.176/28226.167.7.177 to 226.167.7.190226.167.7.19114
125226.167.7.192/28226.167.7.193 to 226.167.7.206226.167.7.20714
126226.167.7.208/28226.167.7.209 to 226.167.7.222226.167.7.22314
127226.167.7.224/28226.167.7.225 to 226.167.7.238226.167.7.23914
128226.167.7.240/28226.167.7.241 to 226.167.7.254226.167.7.25514
129226.167.8.0/28226.167.8.1 to 226.167.8.14226.167.8.1514
130226.167.8.16/28226.167.8.17 to 226.167.8.30226.167.8.3114
131226.167.8.32/28226.167.8.33 to 226.167.8.46226.167.8.4714
132226.167.8.48/28226.167.8.49 to 226.167.8.62226.167.8.6314
133226.167.8.64/28226.167.8.65 to 226.167.8.78226.167.8.7914
134226.167.8.80/28226.167.8.81 to 226.167.8.94226.167.8.9514
135226.167.8.96/28226.167.8.97 to 226.167.8.110226.167.8.11114
136226.167.8.112/28226.167.8.113 to 226.167.8.126226.167.8.12714
137226.167.8.128/28226.167.8.129 to 226.167.8.142226.167.8.14314
138226.167.8.144/28226.167.8.145 to 226.167.8.158226.167.8.15914
139226.167.8.160/28226.167.8.161 to 226.167.8.174226.167.8.17514
140226.167.8.176/28226.167.8.177 to 226.167.8.190226.167.8.19114
141226.167.8.192/28226.167.8.193 to 226.167.8.206226.167.8.20714
142226.167.8.208/28226.167.8.209 to 226.167.8.222226.167.8.22314
143226.167.8.224/28226.167.8.225 to 226.167.8.238226.167.8.23914
144226.167.8.240/28226.167.8.241 to 226.167.8.254226.167.8.25514
145226.167.9.0/28226.167.9.1 to 226.167.9.14226.167.9.1514
146226.167.9.16/28226.167.9.17 to 226.167.9.30226.167.9.3114
147226.167.9.32/28226.167.9.33 to 226.167.9.46226.167.9.4714
148226.167.9.48/28226.167.9.49 to 226.167.9.62226.167.9.6314
149226.167.9.64/28226.167.9.65 to 226.167.9.78226.167.9.7914
150226.167.9.80/28226.167.9.81 to 226.167.9.94226.167.9.9514
151226.167.9.96/28226.167.9.97 to 226.167.9.110226.167.9.11114
152226.167.9.112/28226.167.9.113 to 226.167.9.126226.167.9.12714
153226.167.9.128/28226.167.9.129 to 226.167.9.142226.167.9.14314
154226.167.9.144/28226.167.9.145 to 226.167.9.158226.167.9.15914
155226.167.9.160/28226.167.9.161 to 226.167.9.174226.167.9.17514
156226.167.9.176/28226.167.9.177 to 226.167.9.190226.167.9.19114
157226.167.9.192/28226.167.9.193 to 226.167.9.206226.167.9.20714
158226.167.9.208/28226.167.9.209 to 226.167.9.222226.167.9.22314
159226.167.9.224/28226.167.9.225 to 226.167.9.238226.167.9.23914
160226.167.9.240/28226.167.9.241 to 226.167.9.254226.167.9.25514
161226.167.10.0/28226.167.10.1 to 226.167.10.14226.167.10.1514
162226.167.10.16/28226.167.10.17 to 226.167.10.30226.167.10.3114
163226.167.10.32/28226.167.10.33 to 226.167.10.46226.167.10.4714
164226.167.10.48/28226.167.10.49 to 226.167.10.62226.167.10.6314
165226.167.10.64/28226.167.10.65 to 226.167.10.78226.167.10.7914
166226.167.10.80/28226.167.10.81 to 226.167.10.94226.167.10.9514
167226.167.10.96/28226.167.10.97 to 226.167.10.110226.167.10.11114
168226.167.10.112/28226.167.10.113 to 226.167.10.126226.167.10.12714
169226.167.10.128/28226.167.10.129 to 226.167.10.142226.167.10.14314
170226.167.10.144/28226.167.10.145 to 226.167.10.158226.167.10.15914
171226.167.10.160/28226.167.10.161 to 226.167.10.174226.167.10.17514
172226.167.10.176/28226.167.10.177 to 226.167.10.190226.167.10.19114
173226.167.10.192/28226.167.10.193 to 226.167.10.206226.167.10.20714
174226.167.10.208/28226.167.10.209 to 226.167.10.222226.167.10.22314
175226.167.10.224/28226.167.10.225 to 226.167.10.238226.167.10.23914
176226.167.10.240/28226.167.10.241 to 226.167.10.254226.167.10.25514
177226.167.11.0/28226.167.11.1 to 226.167.11.14226.167.11.1514
178226.167.11.16/28226.167.11.17 to 226.167.11.30226.167.11.3114
179226.167.11.32/28226.167.11.33 to 226.167.11.46226.167.11.4714
180226.167.11.48/28226.167.11.49 to 226.167.11.62226.167.11.6314
181226.167.11.64/28226.167.11.65 to 226.167.11.78226.167.11.7914
182226.167.11.80/28226.167.11.81 to 226.167.11.94226.167.11.9514
183226.167.11.96/28226.167.11.97 to 226.167.11.110226.167.11.11114
184226.167.11.112/28226.167.11.113 to 226.167.11.126226.167.11.12714
185226.167.11.128/28226.167.11.129 to 226.167.11.142226.167.11.14314
186226.167.11.144/28226.167.11.145 to 226.167.11.158226.167.11.15914
187226.167.11.160/28226.167.11.161 to 226.167.11.174226.167.11.17514
188226.167.11.176/28226.167.11.177 to 226.167.11.190226.167.11.19114
189226.167.11.192/28226.167.11.193 to 226.167.11.206226.167.11.20714
190226.167.11.208/28226.167.11.209 to 226.167.11.222226.167.11.22314
191226.167.11.224/28226.167.11.225 to 226.167.11.238226.167.11.23914
192226.167.11.240/28226.167.11.241 to 226.167.11.254226.167.11.25514
193226.167.12.0/28226.167.12.1 to 226.167.12.14226.167.12.1514
194226.167.12.16/28226.167.12.17 to 226.167.12.30226.167.12.3114
195226.167.12.32/28226.167.12.33 to 226.167.12.46226.167.12.4714
196226.167.12.48/28226.167.12.49 to 226.167.12.62226.167.12.6314
197226.167.12.64/28226.167.12.65 to 226.167.12.78226.167.12.7914
198226.167.12.80/28226.167.12.81 to 226.167.12.94226.167.12.9514
199226.167.12.96/28226.167.12.97 to 226.167.12.110226.167.12.11114
200226.167.12.112/28226.167.12.113 to 226.167.12.126226.167.12.12714
201226.167.12.128/28226.167.12.129 to 226.167.12.142226.167.12.14314
202226.167.12.144/28226.167.12.145 to 226.167.12.158226.167.12.15914
203226.167.12.160/28226.167.12.161 to 226.167.12.174226.167.12.17514
204226.167.12.176/28226.167.12.177 to 226.167.12.190226.167.12.19114
205226.167.12.192/28226.167.12.193 to 226.167.12.206226.167.12.20714
206226.167.12.208/28226.167.12.209 to 226.167.12.222226.167.12.22314
207226.167.12.224/28226.167.12.225 to 226.167.12.238226.167.12.23914
208226.167.12.240/28226.167.12.241 to 226.167.12.254226.167.12.25514
209226.167.13.0/28226.167.13.1 to 226.167.13.14226.167.13.1514
210226.167.13.16/28226.167.13.17 to 226.167.13.30226.167.13.3114
211226.167.13.32/28226.167.13.33 to 226.167.13.46226.167.13.4714
212226.167.13.48/28226.167.13.49 to 226.167.13.62226.167.13.6314
213226.167.13.64/28226.167.13.65 to 226.167.13.78226.167.13.7914
214226.167.13.80/28226.167.13.81 to 226.167.13.94226.167.13.9514
215226.167.13.96/28226.167.13.97 to 226.167.13.110226.167.13.11114
216226.167.13.112/28226.167.13.113 to 226.167.13.126226.167.13.12714
217226.167.13.128/28226.167.13.129 to 226.167.13.142226.167.13.14314
218226.167.13.144/28226.167.13.145 to 226.167.13.158226.167.13.15914
219226.167.13.160/28226.167.13.161 to 226.167.13.174226.167.13.17514
220226.167.13.176/28226.167.13.177 to 226.167.13.190226.167.13.19114
221226.167.13.192/28226.167.13.193 to 226.167.13.206226.167.13.20714
222226.167.13.208/28226.167.13.209 to 226.167.13.222226.167.13.22314
223226.167.13.224/28226.167.13.225 to 226.167.13.238226.167.13.23914
224226.167.13.240/28226.167.13.241 to 226.167.13.254226.167.13.25514
225226.167.14.0/28226.167.14.1 to 226.167.14.14226.167.14.1514
226226.167.14.16/28226.167.14.17 to 226.167.14.30226.167.14.3114
227226.167.14.32/28226.167.14.33 to 226.167.14.46226.167.14.4714
228226.167.14.48/28226.167.14.49 to 226.167.14.62226.167.14.6314
229226.167.14.64/28226.167.14.65 to 226.167.14.78226.167.14.7914
230226.167.14.80/28226.167.14.81 to 226.167.14.94226.167.14.9514
231226.167.14.96/28226.167.14.97 to 226.167.14.110226.167.14.11114
232226.167.14.112/28226.167.14.113 to 226.167.14.126226.167.14.12714
233226.167.14.128/28226.167.14.129 to 226.167.14.142226.167.14.14314
234226.167.14.144/28226.167.14.145 to 226.167.14.158226.167.14.15914
235226.167.14.160/28226.167.14.161 to 226.167.14.174226.167.14.17514
236226.167.14.176/28226.167.14.177 to 226.167.14.190226.167.14.19114
237226.167.14.192/28226.167.14.193 to 226.167.14.206226.167.14.20714
238226.167.14.208/28226.167.14.209 to 226.167.14.222226.167.14.22314
239226.167.14.224/28226.167.14.225 to 226.167.14.238226.167.14.23914
240226.167.14.240/28226.167.14.241 to 226.167.14.254226.167.14.25514
241226.167.15.0/28226.167.15.1 to 226.167.15.14226.167.15.1514
242226.167.15.16/28226.167.15.17 to 226.167.15.30226.167.15.3114
243226.167.15.32/28226.167.15.33 to 226.167.15.46226.167.15.4714
244226.167.15.48/28226.167.15.49 to 226.167.15.62226.167.15.6314
245226.167.15.64/28226.167.15.65 to 226.167.15.78226.167.15.7914
246226.167.15.80/28226.167.15.81 to 226.167.15.94226.167.15.9514
247226.167.15.96/28226.167.15.97 to 226.167.15.110226.167.15.11114
248226.167.15.112/28226.167.15.113 to 226.167.15.126226.167.15.12714
249226.167.15.128/28226.167.15.129 to 226.167.15.142226.167.15.14314
250226.167.15.144/28226.167.15.145 to 226.167.15.158226.167.15.15914
251226.167.15.160/28226.167.15.161 to 226.167.15.174226.167.15.17514
252226.167.15.176/28226.167.15.177 to 226.167.15.190226.167.15.19114
253226.167.15.192/28226.167.15.193 to 226.167.15.206226.167.15.20714
254226.167.15.208/28226.167.15.209 to 226.167.15.222226.167.15.22314
255226.167.15.224/28226.167.15.225 to 226.167.15.238226.167.15.23914
256226.167.15.240/28226.167.15.241 to 226.167.15.254226.167.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses